Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCExecutableBindingDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIExecutableDef

Direct Known Subclasses:
  DCBindingContainerDef, DCBindingContainerReference, DCInvokeActionDef, DCIteratorBindingDef

public abstract class DCExecutableBindingDef
extends DCDefBase
implements oracle.adf.model.binding.DCIExecutableDef

Field Summary
`static int` | `EXECUTABLE_ACTION`
`static int` | `EXECUTABLE_ITERATORBINDING`
`static int` | `EXECUTABLE_REGION`
`static java.lang.String` | `PNAME_option`
`static java.lang.String` | `PNAME_option_ALWAYS`
`static java.lang.String` | `PNAME_option_DEFAULT`
`static java.lang.String` | `PNAME_option_DEFER`
`static java.lang.String` | `PNAME_option_NEVER`
`static java.lang.String` | `PNAME_option_PREPARE`
`static java.lang.String` | `PNAME_option_PREPARE_OPT`
`static java.lang.String` | `PNAME_option_REFRESH`
`static java.lang.String` | `PNAME_option_REFRESH_OPT`
`static java.lang.String` | `PNAME_option_RENDER`
`static java.lang.String` | `PNAME_option_RENDER_OPT`
`static java.lang.String` | `PNAME_optionExpr`
`static int` | `RC_ALWAYS`
`static int` | `RC_DEFAULT`
`static int` | `RC_DEFER`
`static int` | `RC_NEVER`
`static int` | `RC_PREPARE`
`static int` | `RC_PREPARE_OPT`
`static int` | `RC_REFRESH`
`static int` | `RC_REFRESH_OPT`
`static int` | `RC_RENDER`
`static int` | `RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`DCExecutableBindingDef()`
`DCExecutableBindingDef(java.lang.String name)`

Method Summary
`abstract java.lang.Object` | `createExecutableBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer ctr)` Create an executable binding instance based on this definition in the given BindingContainer.
`abstract int` | `getExecutableType()` Return EXECUTABLE_REGION, EXECUTABLE_ITERATORBINDING or EXECUTABLE_ACTION based on what kind of binding this definition creates.
`java.lang.String` | `getName()`
`protected java.lang.String` | `getPermissionClassName()`
`protected java.lang.String` | `getPermissionTargetName()`
`java.lang.String` | `getRefreshExpression()`
`int` | `getRefreshOption()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`static int` | `internalGetRefreshOptionFromString(java.lang.String str)` *** For internal framework use only ***
`protected boolean` | `internalHasPermission(DCBindingContainer ctr)`
`boolean` | `isRefreshable(DCBindingContainer ctr, DCIExecutable exec, int refreshFlag)` Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadChildrenFromXML, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_option

    public static final java.lang.String PNAME_option

  See Also:
    Constant Field Values

### PNAME_optionExpr

    public static final java.lang.String PNAME_optionExpr

  See Also:
    Constant Field Values

### PNAME_option_DEFAULT

    public static final java.lang.String PNAME_option_DEFAULT

  See Also:
    Constant Field Values

### PNAME_option_PREPARE

    public static final java.lang.String PNAME_option_PREPARE

  See Also:
    Constant Field Values

### PNAME_option_RENDER

    public static final java.lang.String PNAME_option_RENDER

  See Also:
    Constant Field Values

### PNAME_option_PREPARE_OPT

    public static final java.lang.String PNAME_option_PREPARE_OPT

  See Also:
    Constant Field Values

### PNAME_option_RENDER_OPT

    public static final java.lang.String PNAME_option_RENDER_OPT

  See Also:
    Constant Field Values

### PNAME_option_ALWAYS

    public static final java.lang.String PNAME_option_ALWAYS

  See Also:
    Constant Field Values

### PNAME_option_DEFER

    public static final java.lang.String PNAME_option_DEFER

  See Also:
    Constant Field Values

### PNAME_option_NEVER

    public static final java.lang.String PNAME_option_NEVER

  See Also:
    Constant Field Values

### PNAME_option_REFRESH_OPT

    public static final java.lang.String PNAME_option_REFRESH_OPT

  See Also:
    Constant Field Values

### PNAME_option_REFRESH

    public static final java.lang.String PNAME_option_REFRESH

  See Also:
    Constant Field Values

### RC_DEFAULT

    public static final int RC_DEFAULT

  See Also:
    Constant Field Values

### RC_PREPARE

    public static final int RC_PREPARE

  See Also:
    Constant Field Values

### RC_PREPARE_OPT

    public static final int RC_PREPARE_OPT

  See Also:
    Constant Field Values

### RC_RENDER

    public static final int RC_RENDER

  See Also:
    Constant Field Values

### RC_RENDER_OPT

    public static final int RC_RENDER_OPT

  See Also:
    Constant Field Values

### RC_ALWAYS

    public static final int RC_ALWAYS

  See Also:
    Constant Field Values

### RC_NEVER

    public static final int RC_NEVER

  See Also:
    Constant Field Values

### RC_DEFER

    public static final int RC_DEFER

  See Also:
    Constant Field Values

### RC_REFRESH

    public static final int RC_REFRESH

  See Also:
    Constant Field Values

### RC_REFRESH_OPT

    public static final int RC_REFRESH_OPT

  See Also:
    Constant Field Values

### EXECUTABLE_REGION

    public static final int EXECUTABLE_REGION

  See Also:
    Constant Field Values

### EXECUTABLE_ITERATORBINDING

    public static final int EXECUTABLE_ITERATORBINDING

  See Also:
    Constant Field Values

### EXECUTABLE_ACTION

    public static final int EXECUTABLE_ACTION

  See Also:
    Constant Field Values

Constructor Detail

### DCExecutableBindingDef

    public DCExecutableBindingDef()

### DCExecutableBindingDef

    public DCExecutableBindingDef(java.lang.String name)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCDefBase`

### getRefreshOption

    public final int getRefreshOption()

  Specified by:
    `getRefreshOption` in interface `oracle.adf.model.binding.DCIExecutableDef`

### getRefreshExpression

    public final java.lang.String getRefreshExpression()

  Specified by:
    `getRefreshExpression` in interface `oracle.adf.model.binding.DCIExecutableDef`

### internalGetRefreshOptionFromString

    public static int internalGetRefreshOptionFromString(java.lang.String str)

  *** For internal framework use only ***

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Specified by:
    `getXMLElementTag` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCDefBase`

### getExecutableType

    public abstract int getExecutableType()

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Return EXECUTABLE_REGION, EXECUTABLE_ITERATORBINDING or EXECUTABLE_ACTION based on what kind of binding this definition creates.
  Specified by:
    `getExecutableType` in interface `oracle.adf.model.binding.DCIExecutableDef`

### createExecutableBinding

    public abstract java.lang.Object createExecutableBinding(oracle.adf.model.BindingContext ctx,
                                                             DCBindingContainer ctr)

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Create an executable binding instance based on this definition in the given BindingContainer.
  Specified by:
    `createExecutableBinding` in interface `oracle.adf.model.binding.DCIExecutableDef`

### isRefreshable

    public boolean isRefreshable(DCBindingContainer ctr,
                                 DCIExecutable exec,
                                 int refreshFlag)

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
  Specified by:
    `isRefreshable` in interface `oracle.adf.model.binding.DCIExecutableDef`

### internalHasPermission

    protected boolean internalHasPermission(DCBindingContainer ctr)

### getPermissionTargetName

    protected java.lang.String getPermissionTargetName()

### getPermissionClassName

    protected java.lang.String getPermissionClassName()

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.